petsc-3.7.7 2017-09-25
Report Typos and Errors

# ISPartitioningCount

Takes a ISPartitioning and determines the number of resulting elements on each (partition) process

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISPartitioningCount(IS part,PetscInt len,PetscInt count[])

Collective on IS

### Input Parameters

| partitioning | - a partitioning as generated by MatPartitioningApply()
| len | - length of the array count, this is the total number of partitions

### Output Parameter

count -array of length size, to contain the number of elements assigned to each partition, where size is the number of partitions generated (see notes below).

### Notes

By default the number of partitions generated (and thus the length of count) is the size of the communicator associated with IS, but it can be set by MatPartitioningSetNParts. The resulting array of lengths can for instance serve as input of PCBJacobiSetTotalBlocks.

### See Also

MatPartitioningCreate(), AOCreateBasic(), ISPartitioningToNumbering(),
MatPartitioningSetNParts(), MatPartitioningApply()

Level:advanced
Location:src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages